(function(){

    /**
     * when the page loads, display a name if it is in the cookies.
     */
    window.onload = function() {
        displayName();

        $("updateName").onclick = function() {
            let name = $("nameInput").value;
            
            //set date 20 seconds into future
            let d = new Date(); //date with current time
            d.setTime(d.getTime() + (20*1000));
            let dateString = d.toUTCString();
            
            //set the cookie userName with an expiration date
            document.cookie = "userName=" + name + 
                              "; expires=" + dateString;
        };
        
        //set another cookie just as an example
        document.cookie = "randomCookie=3";
    };
    
    /**
     * Get the value from the cookie then display it in the span
     */
    function displayName(){
        //get the cookie string
        let cookieString = document.cookie;
        
        //cookies are separated by semi-colons
        let cookies = cookieString.split(";");
        
        //check each cookie
        for(let i = 0; i < cookies.length; i++){
            
            //cookies consist of name=value, so split on the =
            let nameValue = cookies[i].split("=");
            let name = nameValue[0].trim(); //trim gets rid of extra spaces
            let value = nameValue[1];
            
            // if we found the userName cookie, set it on the page
            if(name == "userName"){
                $("name").innerText = " " + value;
            }
        }
        
    }
    

    /**
     *  Shortcut to get the document element by id
     *  @param the string value of the ID of the DOM element you are getting
     *  @return the DOM element with that particular ID
     */
    function $(id) {
     return document.getElementById(id);
    }

})();